Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.changedetection.state
Class DirectoryState

    java.lang.Object
      org.gradle.api.changedetection.state.DirectoryState

All Implemented Interfaces:
  java.lang.Comparable

    class DirectoryState
    extends java.lang.Object

author:
  Tom Eyckmans

Constructor Summary
`DirectoryState(File directory, java.lang.String relativePath, java.lang.String relativePathDigest, int level)`

Method Summary
`void` | `addFileDigest(java.lang.String filename, java.lang.String digest)`
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getDigest()`
`File` | `getDirectory()`
`java.lang.Throwable` | `getFailureCause()`
`Map` | `getFileDigests()`
`int` | `getLevel()`
`java.lang.String` | `getRelativePath()`
`java.lang.String` | `getRelativePathDigest()`
`long` | `getSize()`
`int` | `hashCode()`
`void` | `setDigest(java.lang.String digest)`
`void` | `setFailureCause(java.lang.Throwable failureCause)`
`void` | `setSize(long size)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DirectoryState

    public DirectoryState(File directory, java.lang.String relativePath, java.lang.String relativePathDigest, int level)

Method Detail

### addFileDigest

    public void addFileDigest(java.lang.String filename, java.lang.String digest)

### compareTo

    public int compareTo(java.lang.Object o)

### equals

    public boolean equals(java.lang.Object o)

### getDigest

    public java.lang.String getDigest()

### getDirectory

    public File getDirectory()

### getFailureCause

    public java.lang.Throwable getFailureCause()

### getFileDigests

    public Map getFileDigests()

### getLevel

    public int getLevel()

### getRelativePath

    public java.lang.String getRelativePath()

### getRelativePathDigest

    public java.lang.String getRelativePathDigest()

### getSize

    public long getSize()

### hashCode

    public int hashCode()

### setDigest

    public void setDigest(java.lang.String digest)

### setFailureCause

    public void setFailureCause(java.lang.Throwable failureCause)

### setSize

    public void setSize(long size)

### toString

    public java.lang.String toString()

Groovy Documentation